Name: gtk-moblin-engine
Summary: Gtk engine for Moblin
Group: Graphical desktop/GNOME 
Version: 1.0.2
License: LGPL v2.1
URL: http://www.moblin.org
Release: %mkrel 2
Source0: http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel


%description
Gtk engine for Moblin

%package -n gtk-theme-Moblin
Summary: GTK them Moblin
Group: Graphical desktop/GNOME
Requires: %{name}

%description -n gtk-theme-Moblin
GTK theme Moblin using the moblin gtk engine


%prep
%setup -q 
perl -pi -e 's,^./configure.*,,' ./autogen.sh

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}/%{_libdir}/gtk-2.0/2.10.0/engines/*.la

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc NEWS README COPYING.LIB AUTHORS ChangeLog
%{_libdir}/gtk-2.0/2.10.0/engines/libmoblin-netbook-engine.so

%files -n gtk-theme-Moblin
%defattr(-, root, root, 0755)
%{_datadir}/themes/Moblin-Netbook/gtk-2.0/gtkrc
%{_datadir}/themes/Moblin-Netbook/index.theme
%{_datadir}/themes/Moblin-Netbook/metacity-1/metacity-theme-1.xml


%changelog
* Tue Aug 26 2014 bb <bb> 1.0.2-2pclos2014
- rebuild

* Fri Jul 02 2010 Texstar <texstar at gmail.com> 1.0.2-1.pclos2010
- create package for pclos

